/* Reset e base */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    height: 100%;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    background: url('../img/fundo.jpg') no-repeat center center fixed;
    background-size: cover;
    min-height: 100vh;
}

/* Imagem no topo */
.topo {
    margin-top: 30px;
    padding: 10px;
    text-align: center;
}

.logo-topo {
    width: 100%;
    max-width: 250px;
    height: auto;
}

/* Container geral */
.conteudo {
    min-height: 100%;
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* Login box */
.login-box {
    width: 100%;
    max-width: 340px;
    background-color: rgba(255, 255, 255, 0.1);
    padding: 20px;
    border-radius: 10px;
}

.login-icon {
    width: 150px;
    display: block;
    margin: 0 auto 20px auto;
}

input {
    width: 100%;
    margin-bottom: 12px;
    padding: 12px;
    background: rgba(255, 255, 255, 0.15);
    border: none;
    border-radius: 5px;
    color: #fff;
    font-size: 16px;
}

input::placeholder {
    color: #fff;
}

.btn-enviar {
    background-color: #B22222;
    color: #fff;
    cursor: pointer;
    transition: background 0.3s;
}

.btn-enviar:hover {
    background-color: #e81414;
}

.btn-cadastrar {
    display: block;
    text-align: center;
    color: #fff;
    margin-top: 10px;
    text-decoration: underline;
}

/* Mensagem de erro */
.erro-login {
    margin-top: 10px;
    color: #ff8080;
    text-align: center;
}

/* Informações de contato */
.info-contato {
    text-align: center;
    margin: 30px auto;
    color: #fff;
    width: fit-content; /* ou uma largura fixa */
}


.info-contato p {
    margin: 4px 0;
    font-size: 16px;
    padding-top: 10px;
}

.whatsapp-btn {
    position: fixed;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1000;

    display: flex;
    align-items: center;
    gap: 10px;

    padding: 12px 20px;
    background-color: rgba(37, 211, 102, 0.8); /* verde WhatsApp com transparência */
    box-shadow: 0 6px 14px rgba(0, 0, 0, 0.4);
    color: white;
    text-decoration: none;
    border-radius: 30px;
    font-size: 1rem;
    font-weight: bold;
    transition: all 0.3s ease;
    border: 2px solid transparent;
}

.whatsapp-btn img {
    width: 24px;
    height: 24px;
}

.whatsapp-btn:hover {
    background-color: rgba(11, 119, 51, 0.8); /* verde WhatsApp com transparência */
    box-shadow: 0 6px 14px rgba(0, 0, 0, 0.4);
}


/* Responsividade */
@media (max-width: 480px) {
    .logo-topo {
        max-width: 200px;
    }

    .login-box {
        padding: 15px;
    }

    input {
        padding: 14px;
        font-size: 16px;
    }

    .whatsapp-btn {
        font-size: 1rem;
        padding: 12px;
    }
}
